std::__detail::_Quoted_string< _String, _CharT >(3cxx)

NAME
std::__detail::_Quoted_string< _String, _CharT > - Struct for delimited strings.

SYNOPSIS

#include <iomanip>

  Public Member Functions

_Quoted_string (_String __str, _CharT __del, _CharT __esc)
_Quoted_string & operator= (_Quoted_string &)=delete

  Public Attributes

_CharT _M_delim
_CharT _M_escape
_String _M_string

  Friends

template<typename _CharT2, typename _Traits, typename _String2> std::basic_ostream< _CharT2, _Traits > & operator<< (std::basic_ostream< _CharT2, _Traits > &__os, const _Quoted_string< _String2, _CharT2 > &__str)
template<typename _CharT2, typename _Traits> std::basic_ostream< _CharT2, _Traits > & operator<< (std::basic_ostream< _CharT2, _Traits > &__os, const _Quoted_string< const _CharT2 *, _CharT2 > &__str)
template<typename _CharT2, typename _Traits, typename _Alloc> std::basic_istream< _CharT2, _Traits > & operator>> (std::basic_istream< _CharT2, _Traits > &__is, const _Quoted_string< basic_string< _CharT2, _Traits, _Alloc > &, _CharT2 > &__str)

Detailed Description

  template<typename _String, typename _CharT>
struct std::__detail::_Quoted_string< _String, _CharT >"Struct for delimited strings.

Author

Generated automatically by Doxygen for libstdc++ from the source code.